Index: branches/world_entities/src/lib/util/multi_type.h
===================================================================
--- branches/world_entities/src/lib/util/multi_type.h	(revision 5558)
+++ branches/world_entities/src/lib/util/multi_type.h	(revision 5558)
@@ -0,0 +1,92 @@
+/*!
+ * @file multi_type.h
+ * @brief Definition of ...
+ */
+
+#ifndef _MULTI_TYPE_H
+#define _MULTI_TYPE_H
+
+// FORWARD DECLARATION
+
+//! An enumerator defining Types, that can be stored inside a MultiType.
+typedef enum
+{
+  MT_NULL            = 0,                  //!< No Value at all.
+  MT_BOOL            = 1,                  //!< A bool Value.
+  MT_INT             = 2,                  //!< An int Value.
+  MT_FLOAT           = 4,                  //!< A float Value.
+  MT_CHAR            = 8,                  //!< A single char.
+  MT_STRING          = 16,                 //!< An entire String.
+
+} MT_Type;
+
+
+
+//! A class that encapsulates multiple differen types.
+/**
+ * Only one Value can be Stored inside this Class, but it can have any type: @see MT_Type.
+ */
+class MultiType {
+
+  public:
+    MultiType();
+    MultiType(bool value);
+    MultiType(int value);
+    MultiType(double value);
+    MultiType(char value);
+    MultiType(const char* value);
+    virtual ~MultiType();
+
+    MultiType operator= (const MultiType& mt);
+
+    void setType(MT_Type);
+
+    void setBool(bool value);
+    void setInt(int value);
+    void setFloat(float value);
+    void setChar(char value);
+    void setString(const char* value);
+
+    inline void setValue(bool value) { this->setBool(value); };
+    inline void setValue(int value) { this->setInt(value); };
+    inline void setValue(float value) { this->setFloat(value); };
+    inline void setValue(char value) { this->setChar(value); };
+    inline void setValue(const char* value) { this->setString(value); };
+
+    /** @returns the Type of the Value stored in this MultiType */
+    inline MT_Type getType() const { return this->type; };
+
+
+    /* RETRIEVING FUNCTIONS */
+    bool getBool() const;
+    int getInt() const;
+    float getFloat() const;
+    char getChar() const;
+    const char* getString();
+
+
+    void debug();
+
+    static const char* MultiTypeToString(MT_Type type);
+    static MT_Type StringToMultiType(const char* type);
+
+  private:
+    void init();
+
+
+  private:
+    MT_Type             type;
+    union MultiTypeValue
+    {
+      bool              Bool;
+      int               Int;
+      float             Float;
+      char              Char;
+      char*             String;
+
+    }                   value;
+
+    char*               storedString;
+};
+
+#endif /* _MULTI_TYPE_H */
Index: branches/world_entities/src/orxonox.cc
===================================================================
--- branches/world_entities/src/orxonox.cc	(revision 5527)
+++ branches/world_entities/src/orxonox.cc	(revision 5558)
@@ -52,5 +52,5 @@
 #include "shell_buffer.h"
 
-#include "load_param.h"
+#include "load_param_description.h"
 
 #include <string.h>
Index: branches/world_entities/src/story_entities/world.cc
===================================================================
--- branches/world_entities/src/story_entities/world.cc	(revision 5527)
+++ branches/world_entities/src/story_entities/world.cc	(revision 5558)
@@ -61,5 +61,5 @@
 #include "factory.h"
 
-#include "projectile.h"
+#include "weapons/projectile.h"
 #include "event_handler.h"
 
Index: branches/world_entities/src/subprojects/collision_detection/Makefile.am
===================================================================
--- branches/world_entities/src/subprojects/collision_detection/Makefile.am	(revision 5527)
+++ branches/world_entities/src/subprojects/collision_detection/Makefile.am	(revision 5558)
@@ -5,5 +5,6 @@
 bin_PROGRAMS = collision
 
-collision_LDADD = $(MAINSRCDIR)/lib/physics/libORXphysics.a \
+collision_LDADD = $(MAINSRCDIR)/util/libORXutils.a \
+                  $(MAINSRCDIR)/lib/physics/libORXphysics.a \
                   $(MAINSRCDIR)/lib/collision_detection/libORXcd.a \
                   $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a \
@@ -24,12 +25,4 @@
                    collision_detection.cc \
                    \
-                   $(MAINSRCDIR)/util/loading/factory.cc \
-                   $(MAINSRCDIR)/util/loading/resource_manager.cc \
-                   $(MAINSRCDIR)/util/loading/load_param.cc \
-                   $(MAINSRCDIR)/util/animation/animation.cc \
-                   $(MAINSRCDIR)/util/animation/animation_player.cc \
-                   $(MAINSRCDIR)/util/animation/animation3d.cc \
-                   $(MAINSRCDIR)/util/state.cc \
-		   \
                    $(MAINSRCDIR)/lib/util/helper_functions.cc \
                    $(MAINSRCDIR)/lib/util/substring.cc \
@@ -47,3 +40,3 @@
                    collision_test_entity.cc
 
-noinst_HEADERS  =  collision_test_entity.h 
+noinst_HEADERS  =  collision_test_entity.h
Index: branches/world_entities/src/subprojects/importer/Makefile.am
===================================================================
--- branches/world_entities/src/subprojects/importer/Makefile.am	(revision 5527)
+++ branches/world_entities/src/subprojects/importer/Makefile.am	(revision 5558)
@@ -27,4 +27,5 @@
                   $(MAINSRCDIR)/lib/coord/null_parent.cc \
                   $(MAINSRCDIR)/util/loading/load_param.cc \
+                  $(MAINSRCDIR)/util/loading/load_param_description.cc \
                   $(MAINSRCDIR)/lib/util/helper_functions.cc \
                   $(MAINSRCDIR)/lib/util/substring.cc \
Index: branches/world_entities/src/subprojects/particles/Makefile.am
===================================================================
--- branches/world_entities/src/subprojects/particles/Makefile.am	(revision 5527)
+++ branches/world_entities/src/subprojects/particles/Makefile.am	(revision 5558)
@@ -36,4 +36,5 @@
                    $(MAINSRCDIR)/lib/util/substring.cc \
                    $(MAINSRCDIR)/util/loading/load_param.cc \
+                   $(MAINSRCDIR)/util/loading/load_param_description.cc \
 		   $(MAINSRCDIR)/lib/util/helper_functions.cc \
                    $(MAINSRCDIR)/util/loading/factory.cc \
Index: branches/world_entities/src/util/Makefile.am
===================================================================
--- branches/world_entities/src/util/Makefile.am	(revision 5527)
+++ branches/world_entities/src/util/Makefile.am	(revision 5558)
@@ -5,4 +5,5 @@
 
 libORXutils_a_SOURCES = fast_factory.cc \
+                        loading/factory.cc \
 			garbage_collector.cc \
 			state.cc \
@@ -12,7 +13,7 @@
 			animation/animation_player.cc \
 			loading/resource_manager.cc \
-			loading/factory.cc \
 			loading/game_loader.cc \
 			loading/load_param.cc \
+			loading/load_param_description.cc \
 			track/pilot_node.cc \
 			track/track_manager.cc \
@@ -31,4 +32,5 @@
 			loading/game_loader.h \
 			loading/load_param.h \
+			loading/load_param_description.h \
 			track/pilot_node.h \
 			track/track_manager.h \
Index: branches/world_entities/src/util/loading/game_loader.cc
===================================================================
--- branches/world_entities/src/util/loading/game_loader.cc	(revision 5527)
+++ branches/world_entities/src/util/loading/game_loader.cc	(revision 5558)
@@ -89,4 +89,5 @@
   this->eventHandler = EventHandler::getInstance();
   this->eventHandler->subscribe(this, ES_GAME, KeyMapper::PEV_PAUSE);
+  this->eventHandler->subscribe(this, ES_ALL, EV_MAIN_QUIT);          //< External Quit Event
   this->eventHandler->subscribe(this, ES_ALL, KeyMapper::PEV_QUIT);
   this->eventHandler->subscribe(this, ES_GAME, KeyMapper::PEV_NEXT_WORLD);
@@ -274,35 +275,37 @@
  *  handle keyboard commands
  * @param event the event to handle
-*/
+ */
 void GameLoader::process(const Event& event)
 {
   if( event.type == KeyMapper::PEV_NEXT_WORLD)
-    {
-      if( likely(event.bPressed))
-        {
-          this->nextLevel();
-        }
-    }
+  {
+    if( likely(event.bPressed))
+    {
+      this->nextLevel();
+    }
+  }
   else if( event.type == KeyMapper::PEV_PREVIOUS_WORLD)
-    {
-      if( likely(event.bPressed))
-        {
-          this->previousLevel();
-        }
-    }
+  {
+    if( likely(event.bPressed))
+    {
+      this->previousLevel();
+    }
+  }
   else if( event.type == KeyMapper::PEV_PAUSE)
-    {
-      if( likely(event.bPressed))
-        {
-          if(this->isPaused)
-            this->resume();
-          else
-            this->pause();
-        }
-    }
+  {
+    if( likely(event.bPressed))
+    {
+      if(this->isPaused)
+        this->resume();
+      else
+        this->pause();
+    }
+  }
   else if( event.type == KeyMapper::PEV_QUIT)
-    {
-      if( event.bPressed) this->stop();
-    }
+  {
+    if( event.bPressed) this->stop();
+  }
+  else if (event.type == EV_MAIN_QUIT)
+    this->stop();
 }
 
Index: branches/world_entities/src/util/loading/load_param.cc
===================================================================
--- branches/world_entities/src/util/loading/load_param.cc	(revision 5527)
+++ branches/world_entities/src/util/loading/load_param.cc	(revision 5558)
@@ -17,7 +17,7 @@
 
 #include "load_param.h"
+#include "load_param_description.h"
 
 #include "list.h"
-#include "base_object.h"
 
 #include <stdarg.h>
@@ -31,5 +31,5 @@
  * @param ...: the parameter information (1. Parameter, 2. Default Value for the Parameter, ...)
 */
-BaseLoadParam::BaseLoadParam(const TiXmlElement* root, BaseObject* object, const char* paramName,
+LoadParamBase::LoadParamBase(const TiXmlElement* root, BaseObject* object, const char* paramName,
                              int paramCount, bool multi, const void* pointerToParam, ...)
 {
@@ -39,5 +39,5 @@
   this->pointerToParam = pointerToParam;
 
-  if (paramCount == 0 || this->pointerToParam)
+  if (paramCount == 0 || this->pointerToParam != NULL)
     this->loadString = "none";
   else
@@ -110,5 +110,5 @@
  * @returns a pointer to itself.
 */
-BaseLoadParam* BaseLoadParam::describe(const char* descriptionText)
+LoadParamBase* LoadParamBase::describe(const char* descriptionText)
 {
   if (LoadClassDescription::parametersDescription && this->paramDesc && !this->paramDesc->getDescription())
@@ -117,287 +117,4 @@
     }
   return this;
-}
-
-/**
- * @param paramName the name of the parameter to load
-*/
-LoadParamDescription::LoadParamDescription(const char* paramName)
-{
-  this->types = NULL;
-  this->description = NULL;
-  this->defaultValues = NULL;
-  this->paramName = new char[strlen(paramName)+1];
-  strcpy(this->paramName, paramName);
-}
-
-/**
- *  removes all the alocated memory
-*/
-LoadParamDescription::~LoadParamDescription()
-{
-  if (this->defaultValues != NULL)
-  {
-    for(int i = 0; i < this->paramCount; i++)
-    {
-      delete[] this->defaultValues[i];
-    }
-  }
-
-  delete[] this->types;
-  delete[] this->defaultValues;
-  delete[] this->paramName;
-  delete[] this->description;
-}
-
-/**
- * @param descriptionText The text to set as a description for this Parameter
-*/
-void LoadParamDescription::setDescription(const char* descriptionText)
-{
-  this->description = new char[strlen(descriptionText)+1];
-  strcpy(this->description, descriptionText);
-}
-
-/**
- *  prints out this parameter, its input method and the description (if availiable)
-*/
-void LoadParamDescription::print() const
-{
-  PRINT(3)(" <%s>", this->paramName);
-  for (int i = 0; i < this->paramCount; i++)
-    {
-      if (i > 0)
-        PRINT(3)(",");
-      switch (this->types[i])
-      {
-        default:
-          PRINTF(3)("none");
-          break;
-        case ParameterBool:
-          PRINT(3)("bool");
-          break;
-        case ParameterChar:
-          PRINT(3)("char");
-          break;
-        case ParameterString:
-          PRINT(3)("string");
-          break;
-        case ParameterInt:
-          PRINT(3)("int");
-          break;
-        case ParameterUInt:
-          PRINT(3)("Uint");
-          break;
-        case ParameterFloat:
-          PRINT(3)("float");
-          break;
-        case ParameterLong:
-          PRINT(3)("long");
-          break;
-        case ParameterXML:
-          PRINT(3)("XML");
-          break;
-      }
-    }
-  PRINT(3)("</%s>", this->paramName);
-  if (this->description)
-    PRINT(3)(" -- %s", this->description);
-  // default values
-  if (this->paramCount > 0)
-  {
-    PRINT(3)(" (Default: ");
-    for (int i = 0; i < this->paramCount; i++)
-    {
-      if (i > 0)
-        PRINT(3)(", ");
-      if (this->types[i] & ParameterString)
-      { // leave brackets !!
-        PRINT(3)("\"%s\"", this->defaultValues[i]);
-      }
-      else
-      {
-        PRINT(3)("%s", this->defaultValues[i]);
-      }
-    }
-    PRINT(3)(")");
-  }
-  PRINT(3)("\n");
-}
-
-/**
- *  A list, that holds all the classes that are loadable (classes not objects!!)
-*/
-tList<LoadClassDescription>* LoadClassDescription::classList = NULL;
-
-/**
- *  if the description of Parameters should be executed
-*/
-bool LoadClassDescription::parametersDescription = true;
-
-/**
- * @param className the name of the class to be loadable
-*/
-LoadClassDescription::LoadClassDescription(const char* className)
-{
-  this->className = new char[strlen(className)+1];
-  strcpy(this->className, className);
-
-  if (LoadClassDescription::classList == NULL)
-    LoadClassDescription::classList = new tList<LoadClassDescription>;
-
-  LoadClassDescription::classList->add(this);
-
-  this->paramList = new tList<LoadParamDescription>;
-}
-
-/**
- *  deletes a classDescription (deletes all the parameterDescriptions as well
-*/
-LoadClassDescription::~LoadClassDescription()
-{
-  tIterator<LoadParamDescription>* iterator = this->paramList->getIterator();
-  LoadParamDescription* enumParamDesc = iterator->firstElement();
-  while (enumParamDesc)
-    {
-      delete enumParamDesc;
-      enumParamDesc = iterator->nextElement();
-    }
-  delete iterator;
-  delete this->paramList;
-
-  delete[] this->className;
-}
-
-void LoadClassDescription::deleteAllDescriptions()
-{
-  if (LoadClassDescription::classList != NULL)
-  {
-    tIterator<LoadClassDescription>* iterator = LoadClassDescription::classList->getIterator();
-    LoadClassDescription* delElem = iterator->firstElement();
-    while (delElem != NULL)
-    {
-      delete delElem;
-      delElem = iterator->nextElement();
-    }
-    delete iterator;
-    delete LoadClassDescription::classList;
-  }
-  LoadClassDescription::classList = NULL;
-}
-
-
-/**
- *  adds a class to the list of loadable classes
- * @param className The name of the class to add
-
-   this function searches for the className string, and if found just returns the appropriate Class.
-   Otherwise it returns a new classDescription
-*/
-LoadClassDescription* LoadClassDescription::addClass(const char* className)
-{
-  if (LoadClassDescription::classList != NULL)
-  {
-    tIterator<LoadClassDescription>* iterator = LoadClassDescription::classList->getIterator();
-   LoadClassDescription* enumClassDesc = iterator->firstElement();
-   while (enumClassDesc)
-     {
-       if (!strcmp(enumClassDesc->className, className))
-         {
-           delete iterator;
-           return enumClassDesc;
-         }
-       enumClassDesc = iterator->nextElement();
-     }
-   delete iterator;
-  }
-  return new LoadClassDescription(className);
-}
-
-/**
- *  does the same as addClass(const char* className), but with params
- * @param paramName the name of the parameter to add.
-*/
-LoadParamDescription* LoadClassDescription::addParam(const char* paramName)
-{
-  tIterator<LoadParamDescription>* iterator = this->paramList->getIterator();
-  LoadParamDescription* enumParamDesc = iterator->firstElement();
-  while (enumParamDesc)
-    {
-      if (!strcmp(enumParamDesc->paramName, paramName))
-        {
-          delete iterator;
-          //return enumParamDesc;
-          return NULL;
-        }
-      enumParamDesc = iterator->nextElement();
-    }
-  delete iterator;
-
-  LoadParamDescription* newParam = new LoadParamDescription(paramName);
-
-  this->paramList->add(newParam);
-  return newParam;
-}
-
-/**
- *  prints out all loadable Classes, and their parameters
- * @param fileName prints the output to a File
- * @todo implement it
-*/
-void LoadClassDescription::printAll(const char* fileName)
-{
-  PRINT(3)("===============================================================\n");
-  PRINT(3)(" Listing all the Loadable Options (loaded since Game started).\n\n");
-  if (LoadClassDescription::classList != NULL)
-  {
-    tIterator<LoadClassDescription>* classIT = LoadClassDescription::classList->getIterator();
-    LoadClassDescription* enumClassDesc = classIT->firstElement();
-    while (enumClassDesc)
-     {
-       PRINT(3)("<%s>\n", enumClassDesc->className);
-       tIterator<LoadParamDescription>* paramIT = enumClassDesc->paramList->getIterator();
-       LoadParamDescription* enumParamDesc = paramIT->firstElement();
-       while (enumParamDesc)
-         {
-           enumParamDesc->print();
-           enumParamDesc = paramIT->nextElement();
-         }
-       delete paramIT;
-
-       PRINT(3)("</%s>\n\n", enumClassDesc->className);
-       enumClassDesc = classIT->nextElement();
-     }
-    delete classIT;
-  }
-  else
-    PRINT(3)("no Classes defined so far\n");
-  PRINT(3)("===============================================================\n");
-}
-
-/**
- * searches for classes, which beginn with classNameBegin
- * @param classNameBegin the beginning string of a Class
- * @return a NEW char-array with ClassNames. The LIST should be deleted afterwards,
- * !! The strings MUST NOT be deleted !!
- */
-tList<const char>* LoadClassDescription::searchClassWithShort(const char* classNameBegin)
-{
-  unsigned int searchLength = strlen(classNameBegin);
-  tList<const char>* retVal = new tList<const char>;
-
-  tIterator<LoadClassDescription>* iterator = LoadClassDescription::classList->getIterator();
-  LoadClassDescription* enumClassDesc = iterator->firstElement();
-  while (enumClassDesc)
-  {
-    if (strlen(enumClassDesc->className)>searchLength+1 &&
-        !strncasecmp(enumClassDesc->className, classNameBegin, searchLength))
-    {
-      retVal->add(enumClassDesc->className);
-    }
-    enumClassDesc = iterator->nextElement();
-  }
-  delete iterator;
-
-  return retVal;
 }
 
Index: branches/world_entities/src/util/loading/load_param.h
===================================================================
--- branches/world_entities/src/util/loading/load_param.h	(revision 5527)
+++ branches/world_entities/src/util/loading/load_param.h	(revision 5558)
@@ -23,64 +23,18 @@
 
 #include "functor_list.h"
-#include "base_object.h"
+
+#include "debug.h"
 
 #include "factory.h"
-#include "debug.h"
 #include "substring.h"
 #include "tinyxml.h"
+
 #include "helper_functions.h"
 
 // Forward Declaration //
 template<class T> class tList;
-
-/************************
-*** DESCRIPTION STUFF ***
-************************/
-//! A class that handles the description of loadable parameters
-class LoadParamDescription
-{
-  friend class BaseLoadParam;
-  friend class LoadClassDescription;
- public:
-  LoadParamDescription(const char* paramName);
-  ~LoadParamDescription();
-
-  void setDescription(const char* descriptionText);
-  /** @returns the descriptionString */
-  const char* getDescription() { return this->description; };
-
-  void print() const;
- private:
-  char*         paramName;             //!< The name of the parameter.
-  int           paramCount;            //!< The count of parameters.
-  int*          types;                 //!< What kind of parameters does this function take ??
-  char*         description;           //!< A longer description about this function.
-  char**        defaultValues;         //!< The 'Default Values'.
-};
-
-//! A class for descriptions of a loadable module
-class LoadClassDescription
-{
-  friend class BaseLoadParam;
- public:
-  LoadClassDescription(const char* className);
-  ~LoadClassDescription();
-
-  static LoadClassDescription* addClass(const char* className);
-  LoadParamDescription* addParam(const char* paramName);
-
-  static void deleteAllDescriptions();
-
-  static void printAll(const char* fileName = NULL);
-  static tList<const char>* searchClassWithShort(const char* classNameBegin);
-//  static const LoadParamDescription* getClass(const char* className);
-
- private:
-  static bool                          parametersDescription;  //!< if parameter-description should be enabled.
-  static tList<LoadClassDescription>*  classList;              //!< a list, that holds all the loadable classes. (after one instance has been loaded)
-  char*                                className;              //!< name of the class
-  tList<LoadParamDescription>*         paramList;              //!< List of parameters this class knows.
-};
-
+class LoadClassDescription;
+class LoadParamDescription;
+class MultiType;
 
 /**************************
@@ -88,11 +42,12 @@
 **************************/
 //! abstract Base class for a Loadable parameter
-class BaseLoadParam : public BaseObject
+class LoadParamBase : public BaseObject
 {
  public:
-  BaseLoadParam* describe(const char* descriptionText);
+  LoadParamBase* describe(const char* descriptionText);
+  LoadParamBase* defaultValues(unsigned int count, ...);
 
  protected:
-  BaseLoadParam(const TiXmlElement* root, BaseObject* object, const char* paramName, int paramCount, bool multi, const void* pointerToParam, ...);
+  LoadParamBase(const TiXmlElement* root, BaseObject* object, const char* paramName, int paramCount, bool multi, const void* pointerToParam, ...);
 
  protected:
@@ -101,4 +56,6 @@
   const char*              loadString;           //!< The string loaded by this LoadParam
   const void*              pointerToParam;       //!< A Pointer to a Parameter.
+
+  MultiType*               defaultValue;
 };
 
@@ -140,5 +97,5 @@
 #define LoadParam0() \
 LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(), bool multi = false) \
-  : BaseLoadParam(root, pt2Object, paramName, 0, multi, NULL, "") \
+  : LoadParamBase(root, pt2Object, paramName, 0, multi, NULL) \
 { \
   if (loadString != NULL && root != NULL) \
@@ -156,5 +113,5 @@
  LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(type1##_TYPE), \
            bool multi = false, type1##_TYPE default1 = type1##_DEFAULT) \
-  : BaseLoadParam(root, pt2Object, paramName, 1, multi, NULL, type1##_PARAM, default1) \
+  : LoadParamBase(root, pt2Object, paramName, 1, multi, NULL, type1##_PARAM, default1) \
 { \
       if (loadString != NULL && root != NULL) \
@@ -175,5 +132,5 @@
  LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(type1##_TYPE, type2##_TYPE), \
            bool multi = false,  type1##_TYPE default1 = type1##_DEFAULT,  type2##_TYPE default2 = type2##_DEFAULT) \
-  : BaseLoadParam(root, pt2Object, paramName, 2, multi, NULL, type1##_PARAM, default1, type2##_PARAM, default2) \
+  : LoadParamBase(root, pt2Object, paramName, 2, multi, NULL, type1##_PARAM, default1, type2##_PARAM, default2) \
 { \
       if (loadString != NULL && root != NULL) \
@@ -201,5 +158,5 @@
  LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(type1##_TYPE, type2##_TYPE, type3##_TYPE), \
            bool multi = false, type1##_TYPE default1 = type1##_DEFAULT, type2##_TYPE default2 = type2##_DEFAULT, type3##_TYPE default3 = type3##_DEFAULT)\
-  : BaseLoadParam(root, pt2Object, paramName, 3, multi, NULL, type1##_PARAM, default1, type2##_PARAM, default2, type3##_PARAM, default3) \
+  : LoadParamBase(root, pt2Object, paramName, 3, multi, NULL, type1##_PARAM, default1, type2##_PARAM, default2, type3##_PARAM, default3) \
 { \
       if (loadString != NULL && root != NULL) \
@@ -229,5 +186,5 @@
            bool multi = false, type1##_TYPE default1 = type1##_DEFAULT, type2##_TYPE default2 = type2##_DEFAULT, type3##_TYPE default3 = type3##_DEFAULT, \
            type4##_TYPE default4 = type4##_DEFAULT) \
-  : BaseLoadParam(root, pt2Object, paramName, 4, multi, NULL, type1##_PARAM, default1, type2##_PARAM, default2, type3##_PARAM, default3, \
+  : LoadParamBase(root, pt2Object, paramName, 4, multi, NULL, type1##_PARAM, default1, type2##_PARAM, default2, type3##_PARAM, default3, \
                   type4##_PARAM, default4) \
 { \
@@ -260,5 +217,5 @@
            bool multi = false, type1##_TYPE default1 = type1##_DEFAULT, type2##_TYPE default2 = type2##_DEFAULT, type3##_TYPE default3 = type3##_DEFAULT, \
            type4##_TYPE default4 = type4##_DEFAULT, type5##_TYPE default5 = type5##_DEFAULT ) \
-  : BaseLoadParam(root, pt2Object, paramName, 5, multi, NULL, type1##_PARAM, default1, type2##_PARAM, default2, type3##_PARAM, default3, \
+  : LoadParamBase(root, pt2Object, paramName, 5, multi, NULL, type1##_PARAM, default1, type2##_PARAM, default2, type3##_PARAM, default3, \
                   type4##_PARAM, default4, type5##_PARAM, default5) \
 { \
@@ -283,5 +240,5 @@
 #define LoadParamPT(type1) \
  LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(type1##_TYPE), type1##_TYPE pointerToParam, bool multi = false) \
-  : BaseLoadParam(root, pt2Object, paramName, 1, multi, pointerToParam, type1##_PARAM) \
+  : LoadParamBase(root, pt2Object, paramName, 1, multi, pointerToParam, type1##_PARAM) \
 { \
       if (pointerToParam != NULL && root != NULL) \
@@ -292,5 +249,5 @@
 
 //! derived template class, so all the Classes can load something.
-template<class T> class LoadParam : public BaseLoadParam
+template<class T> class LoadParam : public LoadParamBase
 {
   public:
@@ -305,5 +262,5 @@
   // loads a Ti-XML-element
   LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(const TiXmlElement*), bool multi = false)
-  : BaseLoadParam(root, pt2Object, paramName, 1, multi, NULL, "XML")
+  : LoadParamBase(root, pt2Object, paramName, 1, multi, NULL, "XML")
   {
     if (root != NULL)
